import { LogConfig } from '@basemaps/shared';
import { LambdaAlbRequest } from '@linzjs/lambda';
import { TileSetRaster } from '../tile.set.raster.js';
import { TileSetVector } from '../tile.set.vector.js';
export function mockRequest(path, method = 'get', headers = {}) {
    return new LambdaAlbRequest({
        requestContext: null,
        httpMethod: method.toUpperCase(),
        path,
        headers,
        body: null,
        isBase64Encoded: false,
    }, {}, LogConfig.get());
}
export class FakeTileSet extends TileSetRaster {
    constructor(name, tileMatrix, title = `${name}:title`, description = `${name}:description`) {
        super(name, tileMatrix);
        this.tileSet = { title, description };
    }
}
export class FakeTileSetVector extends TileSetVector {
    constructor(name, tileMatrix) {
        super(name, tileMatrix);
        this.tileSet = {};
    }
}
export const Provider = {
    name: 'main',
    id: 'pv_main_production',
    updatedAt: Date.now(),
    version: 1,
    serviceIdentification: {
        accessConstraints: 'the accessConstraints',
        description: 'the description',
        fees: 'the fees',
        title: 'the title',
    },
    serviceProvider: {
        contact: {
            address: {
                city: 'the city',
                country: 'the country',
                deliveryPoint: 'the deliveryPoint',
                email: 'email address',
                postalCode: 'the postalCode',
            },
            individualName: 'the contact name',
            phone: 'the phone',
            position: 'the position',
        },
        name: 'the name',
        site: 'https://example.provider.com',
    },
};
